using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class affiche : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            //显示列表
            Fm.Bussiness.public_select ps = new Fm.Bussiness.public_select();
            afflist.DataSource = ps.Getps("Fm_affiche","*","aff_id<>0 order by aff_id desc");
            afflist.DataBind();
            if (Request.QueryString["aid"] != null)
            {
                //获取单个公告内容显示
                DataView dw = ps.Getps("Fm_affiche", "*", "aff_id=" + Request.QueryString["aid"].ToString());
                afftitle.Text = dw[0]["aff_title"].ToString();
                affuser.Text = dw[0]["aff_user"].ToString();
                afftime.Text = dw[0]["aff_btime"].ToString();
                affcontent.Text = dw[0]["aff_content"].ToString();
            }
        }
    }
}
